Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientDSMetadata

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata
org.openjump.core.ui.plugin.datastore.ocient.OcientDSMetadata

All Implemented Interfaces:
  `com.vividsolutions.jump.datastore.DataStoreMetadata`

    public class OcientDSMetadata
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata

`conn, coordDimQuery, datasetInfoQuery, datasetNameQuery, dataStoreLayers, defaultSchemaName, geoColumnsQuery, reader, spatialDbName, spatialExtentQuery1, spatialExtentQuery2, sridMap, sridQuery, txtReader`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientDSMetadata​(com.vividsolutions.jump.datastore.DataStoreConnection con)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCoordinateDimensionQuery​(String schemaName, String tableName, String colName)` |
`protected String` | `getDbTypeName​(com.vividsolutions.jump.feature.AttributeType type)` |
`String` | `getGeoColumnsQuery​(String datasetName)` |
`List<com.vividsolutions.jump.datastore.GeometryColumn>` | `getGeometryAttributes​(String datasetName)` |
`String` | `getSpatialExtentQuery1​(String schema, String table, String attributeName)` |
`String` | `getSpatialExtentQuery2​(String schema, String table, String attributeName)` |
`String` | `getSridQuery​(String schemaName, String tableName, String colName)` |

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata

`createColumnList, getAddGeometryColumnStatement, getAddSpatialIndexStatement, getColumnNames, getCoordinateDimension, getCreateTableStatement, getDatasetInfoQuery, getDatasetNameQuery, getDatasetNames, getDataStoreConnection, getDataStoreLayers, getDefaultSchemaName, getExtents, getGeometryAttributes, getPrimaryKeyColumns, getSchemaName, getSpatialDbName, getSRID, getTableName, isIndexed, missingGeoException, querySRID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientDSMetadata

public OcientDSMetadata​(com.vividsolutions.jump.datastore.DataStoreConnection con)

## Method Details

### getSpatialExtentQuery1

public String getSpatialExtentQuery1​(String schema, String table, String attributeName)

Overrides:
  `getSpatialExtentQuery1` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getSpatialExtentQuery2

public String getSpatialExtentQuery2​(String schema, String table, String attributeName)

Overrides:
  `getSpatialExtentQuery2` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getGeoColumnsQuery

public String getGeoColumnsQuery​(String datasetName)

Overrides:
  `getGeoColumnsQuery` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getSridQuery

public String getSridQuery​(String schemaName, String tableName, String colName)

Overrides:
  `getSridQuery` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getGeometryAttributes

public List<com.vividsolutions.jump.datastore.GeometryColumn> getGeometryAttributes​(String datasetName)

Specified by:
  `getGeometryAttributes` in interface `com.vividsolutions.jump.datastore.DataStoreMetadata`
Overrides:
  `getGeometryAttributes` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getCoordinateDimensionQuery

public String getCoordinateDimensionQuery​(String schemaName, String tableName, String colName)

Overrides:
  `getCoordinateDimensionQuery` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`

### getDbTypeName

protected String getDbTypeName​(com.vividsolutions.jump.feature.AttributeType type)

Overrides:
  `getDbTypeName` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata`